libgda-6.0.0
 - MySQL: now supports version 8.0
 - PostgreSQL now support GdaText values, so take care because some SELECT operations
   concatenating strings return GdaText values instead of strings.
 - Lot of memory leaks fixed
 - Added a new module named GdaDB... to simplify DDL operations
 - Added database generation from an XML file (GdaDBCatalog)
 - Updated internal SQLite3 version
 - Added "exxamples" directory as a target to be built (work in progress)
 - Numerous improvements in CI organization.
 - Documentation reorganisation and porting to the new format (in progress)
 - Code modernized for multiple objects
 - Added new API for GdaConnection object
 - Added uniform LOG_DOMAIN usage between translation units
 - Added Uniform debug code generation
 - Eliminated multiple static global variable
 - Improved code quality for libgda to use -Werror
 - Multiple code improvements, formation, and corrections
 - Batch parsing, should remove spacesa and enters before return next statement,
   fix #203
 - Only PostgreSQL, MySQL and SQLite providers are supported
 - Improved Meson options name and behavior
 - Updated translations:
        - sr       Мирослав Николић <miroslavnikolic@rocketmail.com>
        - uk       Yuri Chornoivan <yurchor@ukr.net>
        - ca       Jordi Mas <jmas@softcatala.org>
        - cs       Marek Černocký <marek.cernocky@advantech.com>
        - pt_BR    Rafael Fontenelle <rafaelff@gnome.org>
        - es       Daniel Mustieles <daniel.mustieles@gmail.com>
        - hu       Balázs Úr <balazs@urbalazs.hu>
        - id       Andika Triwidada <atriwidada@gnome.org>
        - sv       Josef Andersson <l10nl18nsweja@gmail.com>

================================================================================

libgda 5.91.0
 - Added support for PostgreSQL version up to 11.0
 - Added new GdaText type for large texts types support
 - Added new GdaHandlerText type for large texts types handler support
 - Added new GdaDataModelSelect objects replacing GdaDataSelect's rerun()
 - GdaHandler now supports value transformation, if possible, before set it
 - Ported almost all public API to use g_autoptr() and remove public private struct
 - GdaHolder now is GdaAttributeManager free, replaced by GObect properties
 - GdaTime ported to GDateTime, with improved time handling and defaulting to UTC time
 - Fixed segfaults
 - Fixed meta data generation engine
 - Fixed PostgresSQL provider meta data generation integration
 - Fixed open connections to SQLite, PostgreSQL and MySQL providers
 - Blacklisted providers: FireBird, Oracle, Java ODBC, MS Access, BDB, LDAP, MySQL
 - Fixed warnings
 - Removed Autotools (was 89479e9d2372177036d2d0f6b01a50e5f21d076f 05 april 2019)
 - Simplified providers plugin system
 - Many memory leaks fixes
 - Aisolate LDAP as a provider, no more in main library
 - Fixed documentation generation using meson
 - Removed Autotools build system
 - Added experimental features, use -Denable-experimental=true to use them

libgda-ui 5.91.0
 - Ported almost all public API to use g_autoptr() and remove public private struct
 - Fixed segfaults
 - GDA Browser is now able to open and use connections to supported providers
 - GDA Control Center now is able to create Data Sources
 - Fixed warnings
 - Replaced deprated GTK+ 3.0 API
 - Moved as a experimental features

================================================================================
libgda 5.90.1
 - Minor Autotools fixes for distribution

libgda-ui 5.90.1
 - Minor Autotools fixes for distribution

libgda 5.90.0
 - Removed Deprecated API from 5.x and 4.x series
 - Added new DDL module, from Pavlo Solntsev <p.sun.fun@gmail.com>
 - Removing public fields in GdaSet, adding API for GObject Introspection
 - GdaTimestamp, replaced by GDateTime
 - Initial work to port build system from Autotools to Meson
 - Improved Documentation
 - Improved GObject Introspection bindings
 - Improved Vala bindings
 - Removed Vala classes to a new project https://gitlab.gnome.org/esodan/libvda

libgda-ui 5.90.0
 - GDA Gtk+ Widgets library is built by default if dependencies met
 - GdaBrowser is working again
 - GDA Control Center is working again
 - Improved GObject Introspection bindings
 - Improved Vala Bindings

libgda 5.2.9
 - Fix Sun JRE 1.8 detection
 - Fix JDK 11.0 detection
 - Drop unneeded JAVAH variable check
 - Fix build for System Installed SQLite libs
 - Non-Dates and Timestamps values returns 'NULL' string when converted
 - Fix --with-ui, now UI is buildable when enable

libgda 5.2.8 2018-12-03
 - Fix a typo on sv translation
 - Please note: releases 5.2.6 and 5.2.7 were unable to be published at
   downdload.gnome.org

libgda 5.2.7 2018-11-07
 - SQLite provider uses system installed one by default
 - Revome build's date from documentation
 - introspection: removed system install in favor of --prefix

libgda 5.2.6 2018-10-03
 - Fixed compilation on MacOS
 - All Vala bindings and Vala extensions are built by default using --enable-vala,
   added --disable* switch to disable some or all of them
 - Fixes on outdated unit tests
 - Removed unused Vala extensions
 - Translations:
	- es (Daniel Mustieles)

libgda 5.2.5 2018-09-25
 - GdaConnection has removed the use of g_object_weak_*, improving
   multi-threading behaviour
 - Prepared statements now use GWeakRef for weak references
 - GdaDataPivot use instance providers and locking
 - GdaVConnectionDataModel use GRecMutex
 - Updated SQLite to 3.8.11.1
 - Fix SQLCipher build by embedding source code for 3.4.2 version
 - Fix SQLCipher disabling
 - Updated GObject Introspection annotations
 - Fix Doc generation
 - Bugs corrected: #787685 #789382 #761560 #761529 #760420 #761424 #754263 #754208
 - Corrected HTML output containing <SCRIPT> tag
 - Correct some truncated help strings
 - Don't use (deprecated) g_thread_supported()
 - MySQL meta data: fixed case where schema is incomplete in MySQL database
 - Allow introspection for gda_sql_builder_add_cond_v()
 - SQLite: handle WITHOUT ROWID without any error
 - Translations:
	- es (Daniel Mustieles)
	- da (Ask Hjorth Larsen)
	- pt_BR (Rafael Fontenelle)
	- eu (Inaki Larranaga Murgoitio)
	- sr (Мирослав Николић)
	- sv (Anders Jonsson)
	- de (Mario Blättermann)
	- cs (Marek Černocký)
	- hu (Balázs Meskó)
	- oc (Balázs Meskó)
	- el (Tom Tryfonidis)
	- po (Pedro Albuquerque)
	- id (Andika Triwidada)

libgda 5.2.4
libgda 5.2.3
libgda 5.2.2, 2013-12-23

 - Avoid using setlocale() in libraries
 - Bugs corrected: GraphViz detection, #720594
 - Translations:
	- it (Marco Ciampa, Milo Casagrande)


libgda 5.2.1, 2013-11-17

 - Fixed a Unix compilation issue, bug #712143
 - Improved configure script output
 - Translations:
	- de (Benjamin Steinwender)

libgda 5.2.0, 2013-11-11

 - Vala bindings improvements, thanks to Daniel Espinosa
 - Improvements to most database providers (MySQL, PostgreSQL, SQLite, SqlCipher, JDBC, ...)
 - Use SqlCipher 3.0.0 and Sqlite 3.8.0.2
 - Switched to GTK+3
 - Lots of work on the Windows platform
 - Many bugs fixed
 - Translations updated for many languages, thanks to all the translators!

libgda 5.1.2, 2013-03-16

 - Many small corrections, some uncovered by CoverityScan
 - Misc code cleanups, avoid using deprecated functions
 - MySQL improvements
 - Vala bindings improvements and corrections
 - Data export improvements
 - Upgraded SQLite to 3.7.14.1 and SqlCipher to 2.1.1
 - Have blobs work on Windows
 - Bugs corrected: #691099, #691069, #669801, #687235, #684895, #684583, #684141, #683162
 - Translations:
	- ca (Pau Iranzo)
	- ru (Yuri Myasoedov)
	- it (Marco Ciampa)
	- id (Andika Triwidada)
	- de (Christian Kirbach)
	- gl (Fran Diéguez)
	- es (Daniel Mustieles)
	- sl (Matej Urbančič, Martin Srebotnjak)
	- cs (Marek Černocký)
	- el (Dimitris Spingos, Tom Tryfonidis)

libgda 5.1.1, 2012-08-26

 - Asynchronous statement execution improvements
 - Added the GDA_STATEMENT_MODEL_OFFLINE flag to specify that resulting data model
   must be readable without requiring a server connection
 - Correctly parse "NOT LIKE" and "NOT ILIKE" expressions, and hexadecimal notations
 - PostgreSQL: added the "CONNECT_TIMEOUT" option
 - Use Libsecret instead of Libgnome-keyring if available
 - Many other small corrections, code cleanups and deprecated functions removal
 - Windows: many code & packaging corrections
 - Many code cleanups to switch to GTK3's features
 - Bugs corrected: #676239, #669801, #680311, #680820, #680639
 - Translations:
        - de (Christian Kirbach)
        - el (Dimitris Spingos, Tom Tryfonidis)
        - es (Daniel Mustieles)
        - gl (Fran Diéguez)
        - id (Andika Triwidada)
        - it (Marco Ciampa)
        - nb (Kjartan Maraas)
        - ru (Yuri Myasoedov)
        - sl (Martin Srebotnjak, Matej Urbančič)
        - zh_CN (Wylmer Wang)

libgda 5.1.0, 2012-05-05

 - Many Vala bindings improvements, thanks to Daniel Espinosa
 - Improved Windows packaging scripts
 - GdaBrowser: many small improvements
 - GdaSql: new LDAP commands, better inline help, better visual rendering, datasets manipulation
 - Many small corrections, optimizations and bug fixes (Libgda core, UI extension,
   Reports extension, MySQL, virtual connections, documentation)
 - Firebird support improvements, thanks to Faghmie Davids
 - LDAP: added write support, added connection parameters to handle SSL certification chain and
   size and time limits, improved authentification with Active Directory
 - Set SQLite version to 3.7.9 and SqlCipher to 2.0.3
 - MDB tools: handle version 0.7
 - Removed usage of symbols marked as deprecated for Glib 2.32, and other code cleanups
 - Bugs corrected: #666356, #668411, #667837, #672874, #674715, #674618, #674976
 - Translations:
	- cz (Marek Černocký)
	- de (Mario Blättermann)
	- es (Daniel Mustieles)
	- fs (Vivien Malerba)
	- gl (Fran Diéguez)
	- it (Marco Ciampa)
	- ja (Jiro Matsuzawa)
	- nb (Kjartan Maraas)
	- sl (Matej Urbančič, Martin Srebotnjak)

libgda 5.0.2, 2011-11-20

 - Gobject introspection improvements
 - Several small corrections and improvements
 - Better handling of closed connections, allowing some operations on closed connections
   and better error reporting on them
 - GdaNumeric sealing
 - Bugs corrected: #663608
 - Translations:
	- de (Mario Blättermann)
	- cz (Marek Černocký)
	- es (Daniel Mustieles)
	- sl (Matej Urbančič)

libgda 5.0.1, 2011-11-06

 - Fixed Vala bindings generation
 - Several small corrections and improvements
 - Bugs corrected: #662809, #567891, #662922, #597390, #663357
 - Translations:
	- cz (Marek Černocký)
	- es (Daniel Mustieles)

libgda 5.0.0, 2011-10-26

 - GObject Introspection fixes and automatic Vala bindings generation
 - SQLite provider: allow one to load SQLite extensions using "SELECT load_extension ('xxx')"
 - Corrected bug when executing statement with a NULL variable
 - New GdaDataPivot object to perform data summarisation
 - Many small corrections and improvements
 - Bugs corrected: #662279, #658643, #622899, #660563 (partially), #661164, #660344, #661684,
   #660537
 - Translations:
	- sl (Matej Urbančič, Martin Srebotnjak)
	- es (Daniel Mustieles, Jorge González)
	- de (Mario Blättermann)
	- cs (Marek Černocký)

libgda 4.99.4, 2011-09-02

 - GdaBrowser: improved LDAP support and other general improvements and
   corrections
 - Many small corrections and improvements (documentation, UI,
   default values handling, use GtkCssProvider, ...)
 - GTK3 deprecations related corrections
 - GObject introspection improvements
 - Better handle parameters valued to NULL in statements
 - Support out of tree UI plugins creation
 - Allow reporting of statement execution's delay
 - Web provider (DB access through a web server) improvements (deployment,
   documentation and performances)
 - Set embedded SQLite's version to 3.7.7.1
 - Bugs corrected: #654370, #654068
 - Translations:
	- es (Daniel Mustieles)
	- cs (Marek Černocký)
	- sl (Matej Urbančič)
	- de (Mario Blättermann)
	- nb (Kjartan Maraas)
	- zh_CN (Yinghua Wang)
	- fr (Claude Paroz)

libgda 4.99.3, 2011-07-06

 Lots of thanks to Murray Cumming for all the corrections he made in this version!

 - Convert deprecated GTK3 API to new ones
 - Improved compilation system (M4 macros, compiler warnings)
 - PostgreSQL: support the ILIKE operator
 - Misc corrections and improvements
 - Bugs fixed: #653082
 - Translations:
	- es (Daniel Mustieles, Gonzalo Sanhueza)

libgda 4.99.2, 2011-06-20

 - GDA_TYPE_NULL is not 0 anymore (bug #647633)
 - Improved responsiveness when using GdaThreadWrapper
 - Misc. compilation and installation issues corrected
 - MDBTools: distribute missing files
 - GdaBrowser: UI improvements (better LDAP search filter, image clipboard copy, text search)
 - Bug fixed: #651692, #651829, #651922, #652023, #652024, #631645
 - Translations:
	- eo (Kristjan Schmidt)
	- de (Christian Kirbach, Mario Blättermann)
	- cs (Marek Černocký)
	- es (Daniel Mustieles)
	- ls (Matej Urbančič)

libgda 4.99.1, 2011-06-01

 - Many GTK3 adaptations (GtkApplication instead of libunique, code cleanups)
 - New LDAP provider (read only for the moment)
 - Improvements and corrections from the 4.2 branch
 - Translations from the 4.2 branch

libgda 4.99.0, 2011-03-05

 - Adaptations to the GTK3 environment (requires gtk+-3.0 >= 3.0.0):
        - API is preserved but ABI has changed
	- Deprecated API has been removed
 - Embedded SQLite version 3.7.5
 - Embedded SQLCipher version is 2.0Beta

WARNING: this is a beta version and should not be used in a production environment, and the
	 SQLCipher database provider is itself in a beta state, so again don't use it on production data,
	 as you may lose your data!

libgda 4.2.5, 2011-02-22

 - corrected regression which prevented correct execution of SELECT statements
   by virtual connections
 - new NSIS based installer for the GdaBrowser tool under Windows
 - embedd MDBTools when compiling for Windows
 - misc other corrections
 - translations:
	- sl (Matej Urbančič)
	- es (Jorge González, Daniel Mustieles)
	- cz (Marek Černocký)
	- de (Andre Klapper)

libgda 4.2.4, 2011-02-16

 - SQLite provider: correctly report error messages (for example instead of "constraint failed")
 - SQLite provider: correctly report if foreign key constraints are enforced or not
 - Added possibility to "declare foreign key constraints", which are declarations in the
   metadata where databases don't actually use foreign keys
 - GdaMetaStruct: report information about foreign keys
 - GdaBrowser: many small improvements and corrections
 - GdaSql and GdaBrowser: display more information about database providers and DSN's connection
   parameters, and display information about foreign key constraints
 - Documentation improvements and corrections
 - Misc small corrections
 - Bug fixes: #639533, #639897, #639897, #640482, #642037, #642100 and #642170
 - translations:
	- sl (Matej Urbančič)
	- es (Daniel Mustieles)
	- cz (Marek Černocký)
	- fr (Bruno Brouard)
	- de (Christian Kirbach)

libgda 4.2.3, 2011-01-09

 - Correction to the expression rendering in SQL (very important!)
 - SQLite: fixed date and related formats when rendering as SQL
 - MySQL: fixed error code ignored and not available via gda_connection_event_get_code()
 - Move convenience functions to appropriate classes
 - documentation updates
 - GdaSql and GdaBrowser: better information about configuration and added possibility to
   clean data files and truncate data output to available width
 - build system: Enable compiler warnings by default, detect Oracle on Windows
 - Initial support for rich text rendering in reports
 - misc. improvements
 - bugs fixed: #636439, #636608, #637010, crash in gdaui-demo, build system, misc
 - translations:
	- sl (Matej Urbančič)
	- es (Daniel Mustieles, Jorge González)
	- de (Christian Kirbach, Mario Blättermann)
	- cs (Petr Kovar)

libgda 4.2.2, 2010-11-27

 - GdaBrowser: better take user preferences into account
 - new GdauiRtEditor widget and plugin
 - bug fixes: bug #635377, #635419 and misc.
 - translations:
	- sl (Matej Urbančič)
	- es (Julio Borja Barra)
	- cz (Marek Cernocky)
	- de (Mario Blättermann)

libgda 4.2.1, 2010-11-14

 - code cleanups and compilation warnings removal (thanks to David King and Murray Cumming),
   used the FlawFinder and cppcheck tools
 - more annotations for GObject Introspection (thanks to Jonh Wendell)
 - removed old database providers' code
 - build system improvements:
   	 - use better build of generated source code
   	 - better detection of external dependencies in configure script using specfic M4 files
	 - updated Lemon parser generator from SQLite
 - GdaBrowser improvements: error reporting in data manager perspective, authentification dialog
 - documentation corrections
 - updated SQLCipher to version 1.1.8
 - optimized virtual tables usage
 - improved GdaDataModel import and export
 - MySQL provider: support for statements where the prepared statement API does not work
 - bug fixes: #630655, #630953, #617550, #633247, #634737 and other minor ones
 - translations:
	- id (Andika Triwidada)
	- cs (Marek Černocký, Petr Kovar)
	- es (Jorge González)
	- eu (Inaki Larranaga Murgoitio)
	- sl (Matej Urbančič)
	- fr (Bruno Brouard)
	- da (Joe Hansen)
	- ca@valencia (Carles Ferrando)
	- el (Vasilis Tsivikis)

libgda 4.2.0, 2010-09-26

 - misc corrections
 - translations:
	- de (Mario Blättermann)
	- sl (Matej Urbančič)
	- gl (Fran Diéguez)
	- cz (Petr Kovar)
	- id (Andika Triwidada)

libgda 4.1.11, 2010-09-15

 - misc corrections
 - new SQLCipher provider (integrated SQLCipher into Libgda) to encrypt
   SQLite databases
 - translations:
	- sl (Matej Urbančič)

libgda 4.1.10, 2010-09-11

 - GdaBrowser improvements & corrections (better full screen mode and notifications, improved
   data manager perspective and more)
 - misc corrections
 - translations:
	- sl (Matej Urbančič)
	- id (Andika Triwidada)

libgda 4.1.8, 2010-09-01

 - improved core API (GdaSqlBuilder, GdaServerOperation, GdaThreadWrapper, GdaConnection)
 - core corrections and optimization, mainly in the SQLite and MySQL providers, connection (locking
   and thread safe usage)
 - use Gnome Keryring if available to store username and passwords to be used for data sources (DSN)
 - configuration file monitoring: only use GIO (removed GnomeVFS, gamin or FAM)
 - many improvements to the UI extension
 - many improvements and corrections to the GdaBrowser tool
 - embedd SQLite 3.6.22
 - translations:
	- es (Jorge González)
	- sl (Matej Urbančič)
	- da (Joe Hansen)
	- pt (Nicolau Gonçalves)
	- cs (Petr Kovar, Marek Cernocky)
	- de (Mario Blättermann, Christian Kirbach)
	- nb (Kjartan Maraas)
	- id (Andika Triwidada)

libgda 4.1.7, 2010-06-27

 - new provider for Oracle Berkeley DB's SQL frontend (which has the same API as sqlite)
 - added CREATE_USER and DROP_USER server operations (only for PostgreSQL at the moment)
 - added a new GDA_CONNECTION_OPTIONS_THREAD_ISOLATED connection option
 - better display invalid values in form and grid widgets
 - Lots of GObject introspection annotations added
 - Better MacOSX support: binary relocation corrections, bundle making
   script for the GdaBrowser
 - GdaSqlBuilder API improvements
 - Corrected memory leak in SQLite provider
 - Renamed configure.in to configure.ac
 - Corrections in the Gda-Sql tool regarding username and password
 - Misc. corrections: connection locking issues, honor the 
   GDA_EASY_CREATE_TABLE_UNIQUE_FLAG flag, some optimizations
 - Documentation corrections, and code cleanups
 - Translations:
	- es (Jorge González)
	- sl (Matej Urbančič)
	- fi (I. Jääskeläinen)
	- de (Mario Blättermann)

libgda 4.1.6, 2010-05-24

 - register GdaStatement as a boxed type
 - GdaSqlBuilder API simplifications and other corrections
 - GdauiLogin widget corrections
 - Translations:
	- es (Jorge González)
	- sl (Matej Urbančič)
	- de (Mario Blättermann), also added a new GdaBrowser's help translation

libgda 4.1.5, 2010-05-09

 - support BLOBS in MySQL provider
 - meta data correction for PostgreSQL provider
 - Do not set GErrors without a domain for the PostgreSQL provider
 - honor the request for the last inserted row in the MySQL provider
 - fetch indexes information for MySQL
 - fixed reading float values in the MySQL provider
 - corrected the MySQL and SQLite boolean handlers
 - API improvements to the GdaSqlBuilder object
 - new Data Manager perspective in the GdaBrowser
 - added help in GdaBrowser
 - initial GObject introspection for the UI extension
 - improved GObject introspection support
 - removed deprecaded GTK+ symbols usage
 - use accessor functions instead direct access (enable GSEAL)
 - new UI extension example
 - doc. corrections & improvements
 - better handle GCJ as the java compiler
 - lots of bug fixes and other improvements
 - Translations:
	- fr (Claude Paroz, Laurent Coudeur)
	- sl (Matej Urbančič)
	- de (Mario Blättermann, Christian Kirbach)
	- es (Jorge González)
	- zh_CN (Aron Xu)
	- eu (Inaki Larranaga Murgoitio)
	- pt (Nicolau Gonçalves)
	- gl (Leandro Regueiro)

libgda 4.1.4, 2010-01-16

 - API improvements: GdaSqlBuilder, UI extension
 - new Web provider to access databases through a web server
 - WIN32 related corrections
 - GNOME 3.0 and GSeal corrections
 - initial support for GObject Introspection (for libgda only)
 - meta data now include indexes information
 - improved icons (thanks to Jakub Steiner)
 - JDBC provider: don't keep the JVM loaded when not necessary
 - embedd SQLite 3.6.22
 - GdaBrowser improvements and corrections: connections bindings, loading CSV
   files, table's columns' preferences
 - misc bug fixes and other improvements
 - Translations:
	- de (Mario Blättermann)
	- fr (Nicolas Repentin, Laurent Coudeur and Claude Paroz)
	- sl (Matej Urbančič)
	- sp (Jorge González)

libgda 4.1.3, 2009-10-10

 - GdaBrowser improvement
 - UI extension corrections
 - libgda's core improvements: better BLOB handling, better API for GdaSqlBuilder,
   GdaDataSelect
 - misc bug fixes
 - Translations:
	- de (Mario Blättermann, Christian Kirbach)
	- es (Jorge González)

libgda 4.1.2, 2009-09-20

 - the GdaBrowser application now supports query execution, and is more
   polished and stable
 - Lots of bug fixes mainly related to threads usage and the UI extension
 - Translations:
	- de (Mario Blättermann)
	- eu (Inaki Larranaga Murgoitio)
	- pt_BR (Rodolfo Ribeiro Gomes)
	- fr (Claude Paroz)

libgda 4.1.1, 2009-08-24

 - it is now possible to use a system installed SQLite, and now uses
   SQLite 3.6.17 if embedded
 - new Oracle driver (provider)
 - improved MySQL and PostgreSQL drivers (providers)
 - console program improvements
 - new UI extension based on GTK+
 - new program to manage data sources graphically
 - new program to "browse" a database's schema
 - improved documentation
 - better handle SQL identifiers
 - Lots of corrections and small improvements
 - Translations:
        - es (Jorge Gonzalez)
        - nb (Kjartan Maraas)
        - sv (Daniel Nylander)
        - de (Mario Blättermann)
        - it (Marco Ciampa)

libgda 4.1.0, 2009-04-18

 - API and ABI compatible with 4.0.x versions
 - new API to execute statement asynchronously
 - new API to build DML (SELECT, INSERT, UPDATE and DELETE) statements
   the easy way
 - new flag to open a connection in a sub thread, to be able to use
   a connection from several threads, even if the connection does not support it
 - the GdaMetaStore object is now thread safe
 - new API to represent data organized as trees
 - new API to execute a single statement several times, each execution with
   different parameters' values
 - documentation and examples improvements
 - bug fixes
 - Translations:
	- eu (Inaki Larranaga Murgoitio)

libgda 4.0.2, 2009-04-18

 - the SQLite provider now compiles with a system installed SQLite
 - misc. corrections
 - bug fixes: #578748

libgda 4.0.1, 2009-03-27

 - make sure Libgda's GdaMetaStore object behaves correctly even if the
   SQLite provider is not installed
 - misc. corrections

libgda 4.0.0, 2009-03-16

libgda 3.99.14, 2009-03-15

 - misc. corrections
 - use XDG Base Directory Specification to store DSN list
 - bug fixes: #574736, #574738, #574742, #574740

libgda 3.99.13, 2009-03-09

 - misc. corrections
 - load LibDB only when needed
 - bug fixes: #574021, #574193

libgda 3.99.12, 2009-02-28

 - misc. corrections
 - MySQL, SQLite and PostgreSQL providers improvements and corrections
 - documentation and examples improvements
 - SQLite version is now 3.6.11
 - bug fixes: #572028, #571879, #572220, #542847, #572734, #572394
 - Translations:
	- it (Marco Ciampa)
	- pt (Nicolau Gonçalves)

libgda 3.99.11, 2009-02-13

 - misc. corrections
 - documentation improvements
 - new example to illustrate meta data retrieval
 - bug fixes: #570396, #570251, #570315, #570787

libgda 3.99.10, 2009-02-02

 - corrections
 - cleanups
 - documentation improvements
 - bug fixes: #568570, #568731, #568844, #561748, #568388, #486021, #143576,
   #568484, #570220
 - Translations:
	- es (Jorge Gonzalez)

libgda 3.99.9, 2009-01-19

 - corrections
 - cleanups
 - documentation improvements
 - bug fixes: #561173, #561175, #568163, #568165

libgda 3.99.8, 2009-01-12

 - misc corrections
 - SQL console: better useability in the web console
 - SQL console: man page added
 - Win32 build fixes

libgda 3.99.7, 2008-12-31

 - API corrections
 - now internally use SQLite 3.6.7
 - blobs handling corrections
 - SQL console improvements (new export command, optional integrated web server
   to display information)
 - new JDBC provider (allows access to any database through a JDBC driver)
 - Win32 improvements (control list of exported symbols, create import libraries)
 - Cleared up glib includes (Przemysław Grzegorczyk)
 - misc corrections (Murray Cumming, Johannes Schmid, Carlos Savoretti, Vivien Malerba)
 - bug fixes: #565942, #564402, #529794, #564159, #564274, #565618, #565019
 - Translations:
	- it (Marco Ciampa)

libgda 3.99.6, 2008-11-10

 - A few API improvements
 - MySQL provider improvements (Carlos Savoretti)
 - Performances improvements, and memory leaks removal
 - use the G_TYPE_GTYPE type instead of ulong
 - better control of exported symbols in the final library and providers
 - better binreloc behaviour in 64 bits
 - use custom marshallers for GError, GType and GValue in signals (bug #555905)
 - bug fixes: #541991, #546339, #555905, #556258, #556327, #556960, #529794 (Johannes Schmid, 
   Massimo Cora', Vivien Malerba)
 - Translations:
	- es (Jorge Gonzalez)
	- sv (Daniel Nylander)

libgda 3.99.5, 2008-10-09

This version includes:
 - Meta data retrieving corrections
 - now internally use SQLite 3.6.3
 - A few API improvements (removed the GdaDataModelQuery object as its features are now implemented
   in any result of a SELECT execution) (Massimo Cora, Vivien Malerba)
 - More NR tests
 - Limit the exported symbols
 - Improved the WIN32 ZIP packages creation script
 - Lots of improvements to the SQL console (gda-sql-4.0)
 - Lots of small bug fixes (Johannes Schmid, Vivien Malerba)
 - Lots of documentation improvements
 - bug fixes: #508407, #552708, #90751, #401442, #537159, #527002, #539754, #537105
 - Translations:
	- eu (Inaki Larranaga Murgoitio)
	- it (Marco Ciampa)
	- fi (Ilkka Tuohela)
	- nb (Kjartan Maraas)

libgda 3.99.4, 2008-09-16

 This version includes:
 - Lots of code cleanups and API review
 - now internally use SQLite 3.6.2
 - Resultsets returned after the execution of a SELECT can now be writable
 - more NR tests
 - Basic multi threading support (for some objects like connections)
 - MySQL support improved (Carlos Savoretti)
 - SQL console tool improvements
 - MS-Windows support improvements
 - Lots of small bug fixes (Bas Driessen, Vivien Malerba)
 - Lots of documentation improvements
 - bug fixes: #549953, #535633, #551058, #541991, #545977, #549498, #546230, #545979 (Carl-Anton Ingmarsson)
 - Translations:
	- nb (Kjartan Maraas)
	- es (Jorge Gonzalez)
	- it (Marco Ciampa)
	- ar (Djihed Afifi)
	- eu (Inaki Larranaga Murgoitio)


libgda 3.99.3, 2008-07-06

 This version includes:
 - lots of bug fixed, memory leaks fixes and general performance improvements 
   (Murray Cumming, Daniel Espinosa, Cygwin Ports maintainer, Phil Longstaff, 
   Carlos Savoretti, Johannes Schmid, Yuriy Penkin, Vivien Malerba)
 - MySQL support starting to work again (Carlos Savoretti)
 - documentation improvements
 - added function to compute INSERT, UPDATE and DELETE statements from a SELECT
   statement, to be able to have writable data models after a SELECT execution
 - API changes for easier understanding and usage (gda_init() for example)
 - added the possibility to check the validity of a statement using the database's
   associated meta data
 - improvements to the convenience functions when creating or dropping a table (Daniel Espinosa)
 - new data model comparator object
 - make the SQL parser(s) correctly handle SQL identifiers enclosed in double quotes
 - more checks
 - new function to the xslt extension libgda-xslt (Pawel Cesar)
 - new SQL code completion feature (incorporated into the gda-sql tool)
 - gda-sql tool improvements (SQL completion, command line parsing)
 - reworked the authentication mechanism as some database don't require a username/password
 - allow the [<username>[:<password>]@]<DSN> format of string when opening a connection using
   a predefined data source, or [<provider>://][<username>[:<password>]@]<connection string>
   when opening a connection without a predefined data source
 - now internally use SQLite 3.5.9
 - use GIO instead of GnomeVFS if found
 - preliminary MacOS X support, and better support for cross compilation
 - better support for thread safe support
 - new distributed transaction support
 - added specifications to create a .MSI file as a Windows installer
 - bug fixes: #524837, #525601, #525877, #526748, #527892, #527002, #534805, #536418,
   #536971, #537558, #537117
 - Translations:
	- es (Jorge Gonzalez)
	- pt (Duarte Loreto)
	- oc (Yannig Marchegay)

libgda 3.99.2, 2008-03-24

 This version:
 - fixes some compilation problems found in version 3.99.1 (now passes 'make distcheck')
 - corrects some bugs


libgda 3.99.1, 2008-03-19

 This is a major re-write of the core parts of Libgda, and is API incompatible with the 3.x versions.
 Changes include:
 - Easier to understand and to use API, with less strange path usage
 - Reduce the size of the library (almost half the size and half the symbols)
 - Easier connection opening (removal of the GdaClient object)
 - Merge of the GdaQuery and GdaCommand into only one object to represent statements
 - New adaptative SQL parser (can be adaptated to each DBMS's SQL syntax)
 - New database based dictionary which can handle namespaces
 - Rework of the database adapters (providers) for easier maintenance and more features
 - Sample "skeleton" database adapters to make it easy to write a database adapter for a new
   database type
 - Updated documentation

 Warnings:
 - This is still an early version which probably has a lot of bugs and as such it should not be used
   in a production environment.
 - Most of the database adapters (providers) need to be re-written, particularly MySQL (which is
   currently being done) and Oracle
 - Libgnomedb has not yet been updated and won't compile with this version


libgda 3.1.2, 2007-10-24

 - Filtering based on an SQL expression is now possible in the GdaDataProxy data model (Vivien Malerba)
 - New XSL extension which uses Libgda (Pawel Cesar Sanjuan Szklarz)
 - Documentation improvements and examples
 - Tools: improvements to the SQL console and new tool to list the possible server operations
   for each provider (Vivien Malerba)
 - Bug fixed: #486017, #484112 (Stanislav Brabec, Armin Burgmeier)
 - Firebird database provider now almost fully working (BLOBs are not yet writable, no prepared statement used)
   (Vivien Malerba)
 - MS Access database provider reworked to support all the SQLite's SQL (don't depend on libmdbsql.so anymore for
   SQL processing) (Vivien Malerba)
 - LDAP provider has seen a first draft rework (Exell Enrique Franklin Jiménez)
 - Use of environment variables to specify debug ourput of commands and connection events (Vivien Malerba)
 - "LIMIT" and "OFFSET" keywords recognized, for bug #488860 (Vivien Malerba)
 - Enhanced the SQL console tool (allow multiple connections and virtual connections) (Vivien Malerba)
 - Many small corrections and improvements (Murray Cumming, Vivien Malerba)
 - Translations:
	- New Occitan (Yannig Marchegay)
	- removed no (Kjartan Maraas)
	- sv (Daniel Nylander)
	- vi (Clytie Siddall)
	- it (Marco Ciampa)
	- es (Jorge Gonzalez)

libgda 3.1.1, 2007-09-02

 - Require inltool 0.35.5 when building from svn (Murray Cumming)
 - SQLite now version 3.4.2 (Vivien Malerba)
 - Added support for cursor-only access for data models returned by the PostgreSQL provider (Vivien Malerba)
 - WIN32 port functional (needs testing, Vivien Malerba)
 - Installation is relocatable (Vivien Malerba)
 - New virtual connection feature, which allows to run SQL commands on data models (Vivien Malerba)
 - Reworked the BDB provider to use virtual connections (Vivien Malerba)
 - Embedd the libcsv library (http://sourceforge.net/projects/libcsv/) for CSV parsing
 - Reworked the documentation
 - Many small corrections and improvements
 - New code examples (BDB usage, virtual connections)
 - New command line tool (similar to psql)
 - Reworked reports engine (breaks API -- the previous implemention did not work)
 - Bug fixes: #432798, #432798, #433687, #316698, #449725, #450043, #454896, #467273 (Armin Burgmeier, 
   Marc-Andre Lureau, Piotr Pokora, Vivien Malerba)
 - Translations:
	- ar (Djihed Afifi)
	- zh_HK (Chao-Hsiung Liao)
	- zh_TW (Chao-Hsiung Liao)
	- es (Jorge Gonzalez)
	- vi (Clytie Siddall)
	- fi (Ilkka Tuohela)
	- eu (Inaki Larranaga Murgoitio)

libgda 3.0.0, 2007-04-20

 - misc. bug fixes (Armin Burgmeier, Vivien Malerba)
 - bug fixes in the SQL delimiter to handle comments, BEGIN and END blocks and PostgreSQL's
   dollar quoting (Vivien Malerba)
 - more unit tests (Vivien Malerba)
 - removed dependecy and test for popt (Baris Cicek)
 - fixed SQLite provider's error reporting, and implemented the get_last_insert_id() virtuel
   method (Vivien Malerba)
 - fixed MySQL's provider error where the same column would be reported several times in 
   the TABLE_FIELDS schema (Vivien Malerba)
 - fixed a misbehaviour in the data model import of XML files (Vivien Malerba)
 - docs improvements
 - removed ambiguities in the source files: mention LGPL everywhere in the library, and
   GPL for the executables (Murray Cumming)
 - allow dictionary XML file to specify its own DTD file (Vivien Malerba)
 - Bug fixes: #421986, #421986, #420306, #410200, #427605, #407908, #417249 (Carsten Clark, Baris Cicek, 
   Vivien Malerba
 - Translations:
	- dz (Pema Geyleg)
	- lt (Gintautas Miliauskas)
	- ar (Djihed Afifi)
 
libgda 2.99.6, 2007-03-23

 - Merged several libraries into one for efficiency and because of inter-dependencies (yselkowitz, 
   Gustavo R. Montesino, Christopher Taylor)
 - More explicit API function names (Murray Cumming)
 - Applications can now check installed DBMS providers (yselkowitz)
 - C# bindings removed from the libgda's module (Murray Cumming)
 - Added regression tests for SQL parsing and delimiting (Vivien Malerba)
 - Reworked SQL delimiter and made the SQL parser report non parsed characters (Vivien Malerba)
 - Embedded SQLite is now 3.3.13 (Vivien Malerba)
 - Added configure tests to work around changes in the MDB API (yselkowitz)
 - Improved WIN32 building for Cygwin and MinGW (yselkowitz, Gustavo R. Montesino, Christopher Taylor)
 - Bug fixes: #407064, #411811, #314732, #390609, #353404, #411984, #349548, #412122, #411811
   (Leonardo Boshell, yselkowitz, Armin Burgmeier, Daniel Espinosa, Murray Cumming, Christopher Taylor,
   Vivien Malerba)
 - Lots of minor bug fixes
 - Translations:
	- new dz translation (Pema Geyleg)
	- sv (Daniel Nylander)
	- en_GB (David Lodge)
	- it (Marco Ciampa)

libgda 2.99.5, 2007-02-12

 - Correct a linker error when using the (recently renamed to) 
   gda_query_field_value_get_is_parameter() function.
   I'm doing a quick extra release because I imagine that the effects of using 
   an implicitly-declared function could be odd.
 
libgda 2.99.4, 2007-02-12

 - GdaQuery: Renamed gda_query_is_modif_query() to gda_query_is_modify_query().
   (Murray Cumming)
 - GdaQueryFieldValue: Added the is_parameter property 
   (Daniel Espinosa)
 - GdaEntityField: Renamed get_data_type() vfunc to get_dict_type().
   (Daniel Espinosa)
 - GdaQueryField: Renamed get_data_type() vfunc to get_dict_type().
   (Daniel Espinosa)
 - GdaObject: Added the option for GdaObject sub-classes to copy the 
   "name" property to the "id" one if the "id" is not set (used by the GdaParameter object)
   (Vivien Malerba)
 - GdaDataModelQuery:
   - Correctly detect when it's not possible to get information about columns.
   - Added a "use_transaction" property to allow the object to start a transaction before 
     running the modification SQL queries and to end it afterwards (so all the modifications are atomic). 
   (Vivien Malerba)
 - GdaDataModel: Added "reset" signal, emitted when the data model has completely changed.
   (Vivien Malerba)
 - GdaDataProxy:
   - Added "re_init_done" signal, emitted when the proxied data model's number of columns changes.
   - Corrected a bug which prevented any modification to be applied to the proxied data model.
   - Added gda_data_proxy_get_n_modified_rows().
   (Vivien Malerba)
 - Improvements to _new() functions for language bindings, such as C++:
   GdaParameterList,  (Johannes Schmid, Openismus)
 - Make type checks more flexible, allowing use of derived GTypes by 
   language bindings: (Armin Burgmeier, Openismus)
 - Use enum types instead of guint or gulong for flags, matching the 
   conventions used in GTK+, and making the API clearer: GdaQuery, GdaObjectRef
   (Murray Cumming, Openismus)
 - Use specific types for property and signal parameter registrations, and use specific signal marshallers.
   This should be more robust, and is needed by language bindings.
   (Murray Cumming, Openismus)
 - Correct all remaining installation location conflicts with libgda 1.2.
   (Leonardo Boshell)
 - Correct the check for the gamin version.
   (Leonardo Boshell)
 - gda-sharp (mono bindings) updated.
   (Daniel Espinosa)
 - Added tests. (Vivien Malerb)
 - Win32 build improvements. (Brecht Sanders)
 - MDB provider: Attempt to fix the build for more recent versions of the MDB API.
   (Murray Cumming)


libgda 2.99.3, 2007-01-23

 - Build fixes:
   - With gamin/fam. (Murray Cumming)
   - removed unnecessary libxslt dependency. (Vivien Malerba)
   - gda-sharp binding fixes. (Vivien Malerba)
   - Fixed many compiler warnings. (Murray Cumming)
   - Replace use of deprecated sys_errlist() with strerror().
     (Joseph Sacco, Bug #353729)
   - Win32 build fixes. (yselkowitz, Bug #314732)
   - Darwin (MacOS X) build fixes. (Min Sik Kim, Bug #382933)
 - GdaConfig: Handle the GDA_DSN_LIST_IN_MEMORY environment variable.
   When defined, initial DSN list will be loaded from the filename specified 
   in that environment variable, and the DSN list modifications will not be 
   written to a file. (Vivien Malerba)
 - GdaQueryFieldValue: can now render parameters in SQL with the :param_name 
   syntax, as used by Oracle. (Vivien Malerba)
 - GdaBlobOp: New object, for improved blob handling. (Vivien Malerba)
 - GdaQuarkList: gda_quark_list_add_from_string(): 
   Prevent a crash when the connection string has a final ; character.
   (Andrea Zagli, Bug #317831)
 - GdaQuery:
   - Allow use of derived types, for language bindings. (Armin Burgmeier)
   - Avoid memory corruption. (Chris Shoemaker, Bug #341061)
 - GdaQueryFieldField: The field_name property is now readable. (Vivien Malerba)
 - GdaServerProvider:
   - Added the escape_string() and unescape_string() virtual methods. (Vivien Malerba)
   - Removed unimplemented gda_server_provider_create_blob() and 
     gda_server_provider_fetch_blob_by_id() functions.  (Murray Cumming)
 - Removed unused "prop" properties. (Murray Cumming)
 - Spelling and grammar corrections. (Clytie Siddall, bug #352122)

 - Providers:
   - FreeTDS: Build fixes. (Leonardo Boshell)
   - MySQL:
     - Slight speed optimization. (Esteban Sanchez)
     - Fixed a bug with FK reporting in the CONSTRAINTS schema report.
       Added the "bit" data type as a synonym to "tinyint"
       removed GDA_TYPE_BLOB reference as MySQL does not support blobs.
       (Vivien Malerba)
   - Oracle: Major improvments, including blob handling. (Vivien Malerba)
   - Postgres
     - Fix failure of current transaction when trying to delete a 
     nonexisting blob Oid
     - Improved GdaBinary handling.
     (Vivien Malerba)
   - Sqlite: Update Sqlite sources to 3.3.10.
   - BDB and ODBC: Correct a cast (Hans de Goede, bug #366694)

libgda 2.99.2, 2006-12-22
-------------------------

 - Make all the providers compile again (Vivien)
 - C# bindings corrections (Daniel)
 - MySQL provider fixes (Vivien, Stian)
 - API renaming to avoid using the G namespace (Murray)
 - Code cleanups (Murray)
 - Change version to 2.99.x to become 3.0.x when the API/ABI is declared stable (Murray)
 - Lots of corrections and small improvements (Stian, Vivien)
 - Make connections keep track of the current transaction status (Vivien)
 - Doc. improvements (Vivien)
 - 64 bits corrections (Bas)
 - Improved code to make bindings easier (Murray)
 - Translations:
	- new Arabic transtation (Djihed Afifi)
	- it (Marco Ciampa)

libgda 1.99.1, 2006-10-26
-------------------------

 - Database providers compilation fixes (Marc-Andre)
 - General corrections (Murray)
 - Possibility to avoid compiling C# bindings (Vivien)
 - Gda# packaging corrections (Vivien)
 - Translations:
	- it (Marco Ciampa)
	- en_GB (David Lodge)
	- fi (Ilkka)

libgda 1.99.0, 2006-10-18
-------------------------

 - Database providers fixes (Bas, Vivien)
 - Gda# fixes (Daniel)
 - Oracle provider improvements (Bas)
 - API cleanups and made more coherent (Vivien)
 - New convenience functions for some common tasks (Daniel)
 - SQLite provider now relies on SQLite 3.3.8 (Vivien)
 - Improved documentation about migration from previous versions (Vivien)
 - Many bug fixes and small improvements
 - Translations:
	- en_GB (David Lodge)
	- fi (Ilkka)
	- ne (Pawan Chitrakar)
	- ja (Ryoichi INAGAKI)
	- vi (Clytie)

libgda 1.9.103, 2006-09-03
--------------------------

 - Added Data Definition queries to be handled by the providers as no SQL standard exists
   in this area (for the PostgreSQL, MySQL and SQLite providers which now implement database 
   creation and destruction, table creation and destruction, table renaming, and column addition
   and removal) (Vivien, Bas)
 - Reworked the database creation and destruction in a simpler way, and updated the API (Vivien)
 - Improved the MDB (MS Access) provider (Vivien)
 - GdaDict now uses a generic and extensible way of storing lists of objects it manages (Vivien)
 - Specifications required to declare a new data source are now translatable (Vivien)
 - Connections can now easily be opened without requiring to create a data source first (Vivien)
 - Lots of documentation update
 - Better usage of DTDs (Vivien)
 - More consistant API (Murray, Vivien)
 - Removed usage of GdaValue in favor of GValue
 - Fixed bugs #329930, #337986, #338081, #328418, #319948, #332556, #337497 (Chris,
   Thierry)
 - Many bug fixes and small improvements (Murray, Rodrigo)
 - Translations:
	- new Lithuanian (lt) translation (Gintautas Miliauskas)
	- vi (Clytie)
	- fi (Ilkka)
	- zh_HK, zh_TW (Chao-Hsiung Liao)
	- eu (Iñaki)
	- nb (Kjartan Maraas)
	- es (Francisco Javier)
	- fr (Marc-André Lureau)
	- ru (Valek Filippov)
	- de (Hendrik Richter)
	- nl (Vincent van Adrighem)
	- it (Marco Ciampa)

libgda 1.9.102, 2006-03-24
--------------------------

 - Merged the Libgnomedb's part which is not GUI related (Vivien)
 - GdaDataModel API simplifications (Vivien)
 - Added support for cursor based navigation in GdaDataModel (Vivien)
 - Fixed #327797 (Rodrigo)
 - Fixed #329933 (Thomas)
 - Improved Cygwin compilation (Cygwin Ports Maintainer)
 - Added data import from CSV and XML files (Vivien)
 - Use SQLite 3.3.4 (Vivien)
 - Providers can now provide information about constraints in the database structure (Vivien)
 - Fixes for building out of the source tree (Bob)
 - FreeTDS provider compilation fixes (Leonardo)
 - New tests
 - More respectfull of standard naming conventions (Dan, Murray)
 - Documentation improvements (Juan Manuel Mouriz, Vivien)
 - Modifications to require glib >= 2.6.0 (Bas)
 - Many bug fixes
 - Many other small improvements
 - Translations:
	- new Chinese (Taiwan) translation (Chao-Hsiung)
	- fi (Ilkka)
	- it (Marco)
	- en_CA (Adam)
	- vi (Clytie)
	- es (Francisco Javier)
	- eu (Iñaki)
	- zh_TW (Chao-Hsiung)
	- pt_BR (Raphael)

libgda 1.9.100, 2005-10-13
--------------------------

 - Fixed #317267 (Rodrigo)
 - GdaRow API improvements (Vivien)
 - GdaColumn API improvements (Vivien)
 - Limit usage of SQLite internal structures (Vivien)
 - Removed usage of C++ 'new' keyboard as argument (Bas)
 - Added missing declarations to gda-column.h (Vivien)

libgda 1.9.99, 2005-09-26
-------------------------

 - Added Mono bindings from GTK# (Dan)
 - Convert SQLstate to GDA error code in PostgreSQL provider (Juan Manuel)
 - Don't use scrollkeeper for API docs (Rodrigo)
 - Improved data types in SQLite provider (Vivien)
 - API fixes (Vivien, Murray)
 - Removed unfinished, non-working objects (Vivien)
 - Blob object fixes (Vivien)
 - Blob improvements in PostgreSQL provider (Vivien)
 - Improved test to locate MDB libraries (Vivien)
 - Added "gda_type_changed" signal to GdaColumn (Vivien)
 - Updated translations:
        - eu (Iñaki)
        - ne (Pawan)
	- vi (Clytie)

libgda 1.3.91, 2005-08-10
-------------------------

 - Compilation fixes for 64bit platforms (Rodrigo)
 - Fixed call to undefined symbol in XML provider (Rodrigo)

libgda 1.3.90, 2005-08-07
-------------------------

 - Port GdaValue to use GValue (Daniel, Vivien)
 - Disabled useless test in Firebird provider (Juan Manuel)
 - GCC 4 compilation fixes (Christopher)
 - Fixed #311573 (Rodrigo)
 - GdaClient/GdaConnection API improvements (Vivien)
 - Renamed GdaError to GdaConnectionEvent, to be used not only for errors,
   but for any DB event (Vivien, Juan Manuel)
 - Improved PostgreSQL/SQLite/MySQL error reporting (Vivien, Juan Manuel)
 - Update to SQLite3 API (Vivien)
 - Added get_specs method to GdaServerProvider, to get information on
   arguments for actions (Vivien)
 - Fixed PostgreSQL libraries detection (Vivien)
 - Fixed NUMERIC values passing in Oracle provider (Vivien)
 - Updated translations:
        - vi (Clytie)

libgda 1.3.4, 2005-07-08
------------------------

 - Fixed leak in PostgreSQL provider (Alex)
 - Use libgda-2.0 for the pkg-config files (Rodrigo)
 - Fixed #307549 (Rodrigo)
 - Fixed installation on 64 bit platforms (Bas)
 - Allow compilation with Berkeley DB > 4.3.x (Bas)
 - Fixed 64 bit problems on MySQL/PostgreSQL and SQLite providers (Bas)
 - Fixed return values on some invalid functions (Stanislav)
 - Building fixes (Stanislav)
 - Fixed invalid free in MySQL recordsets (Rodrigo)
 - Some fixes in global config file saving (Vivien)
 - More API documentation (Vivien)
 - Use GType for all types, not guint (Vivien)
 - Tables' fields schema fixes (Vivien)
 - Fix #309332 (Murray)
 - Updated translations:
        - de (Hendrik)

libgda 1.3.3, 2005-06-06
------------------------

 - New API additions (Vivien)
 - Added get_specs_create_database and create_database_params virtual methods
   for providers (Vivien)
 - Updated API documentation (Vivien)
 - Implemented new providers' methods for SQLite, PostgreSQL and MySQL (Vivien)
 - Build fixes (Rodrigo)

libgda 1.3.2, 2005-05-27
------------------------

 - Prevent segfault when running INSERT of UPDATE queries in MySQL provider (Alan)
 - Improved update of PostgreSQL data models (Bas)
 - Improved exporting of data models (Vivien)
 - Added GdaThreader object to make it easy to run threaded operations (Vivien)
 - Implemented missing schemas in SQLite provider (Vivien)
 - Fixed GdaXqlUpdate API typo (Murray)
 - Improved fields schema for PostgreSQL provider (Vivien)
 - Added procedures schema to MySQL provider (Vivien)
 - Fixed MySQL value conversion to string (Alan)
 - Compilation fixes (Dru, Bas, Rodrigo)
 - Added functions to dump data models (Vivien)
 - Improved data types schema in MySQL provider (Vivien)
 - Added synonyms to the data types schema (Vivien)
 - API documentation (Dru)
 - Fixed typo in GdaExport signal creation (Mike Kestner)
 - Changed procedures schema to include more information (Vivien)
 - Added creation of ~/.libgda directory when it does not exist (Vivien)
 - Fixed #153292 (Jorge)
 - Fixed #301480 (Magnus)
 - Fixed #301485 (Magnus)
 - Fixed #302158 (Jean)
 - Fixed #304586 (Mike Fisk)
 - Updated translations:
        - es (Jorge)
	- it (Marco)
	- rw (Steve)
        - uk (Maxim)
        - zw (Steve)

libgda 1.3.1, 2005-03-21
------------------------

 - Improved GdaRow API (Vivien)
 - Fixed #167573 (Rodrigo)
 - Added gda_xml_database_remove_table function (Álvaro)
 - Fixed libsql build (Rodrigo)
 - Upgraded SQLite provider to SQLite3 (Denis)
 - Install providers in versioned directories for parallel installation (Rodrigo)
 - Use libgda*-3 as library names (Rodrigo)
 - Fixed #129153 (Rodrigo)
 - Renamed GdaDataModelColumnAttributes to GdaColumn (Álvaro)
 - Renamed GdaDataModelColumnIndexAttributes to GdaColumnAttributes (Álvaro)
 - Code cleanup for data model classes (Bas)
 - Cleanup auto* build noise (Bas)
 - Replace gda_connection_escape_string with more generic
   gda_connection_value_to_sql_string (Alan)
 - Updated translations:
        - cs (Miroslav)
        - de (Frank)
        - en_CA (Adam)
        - en_GB (David)
        - it (Marco)
	- pt (Duarte)
	- pt_BR (Raphael)

libgda 1.3.0, 2005-02-07
------------------------

 - Fixed spec includedir (Aaron)
 - Set missing row number on gda_data_model_hash_append_row (Bas)
 - Changed GdaDataModel class to be an interface (Vivien)
 - Data model improvements (Vivien, Bas, Álvaro)
 - Renamed GdaField to GdaColumn (Vivien)
 - Improved documentation (Vivien, Bas)
 - Added full update/remove for MySQL and PostgreSQL data models (Bas)
 - Fixed build (Rodrigo)
 - Added methods for creating/droping tables and indices (Bas)
 - Updated translations:
        - cs (Miroslav)
	- de (Frank)
        - en_CA (Adam)
        - es (Francisco)
	- it (Marco)
	- nl (Vincent)
	- pt_BR (Raphael)

libgda 1.2.2, 2005-06-14
------------------------

 - Fixed typo in GdaXqlUpdate object declaration (Murray)
 - GCC 4 compilation fixes (Murray, Magnus)
 - Made Oracle provider work with Oracle 10 headers (Magnus)
 - Fixed MySQL header/libs detection (Jean)
 - Fixed typo in GdaExport class signal creation (Mike Kestner)
 - Set correctly unsigned values in MySQL provider (Mike Fish)
 - Fixed leak in PostgreSQL provider (Alex)

libgda 1.2.1, 2005-03-03
------------------------

 - Fixed includedir in spec file (Aaron)
 - Set row number in appended row for GdaDataModelHash (Bas)
 - Fixes in 'update_row'/'remove_row' methods for PostgreSQL provider (Bas)
 - Fixed intltool detection (Rodrigo)
 - Fixed deletion of rows in GdaDataModelHash (Bas)
 - Improve table name guessing in PostgreSQL updates (Bas)
 - Allow USER and PASSWORD parameters in MySQL connection string (Bas)
 - Removed extra emission of signals in data model base class (Álvaro)
 - Renumber rows after deletion in GdaDataModelHash (Álvaro)
 - Added "name_changed" signal in GdaTable class (Álvaro)
 - Fixed #167700 (Caolan)
 - Fixed #160666 (Rodrigo)
 - Fixed #162856 (Jorge)
 - Fixed #166286 (Caolan)
 - Fixed #166288 (Caolan)
 - Fixed #129153 (Rodrigo)
 - Fixed #167500 (Denis)
 - Fixed #168641 (Loïc)

libgda 1.2.0, 2004-12-28
------------------------

 - Detect correctly xbase library path (Tomasz)
 - Fixed spec file for correct building on RH (David)
 - Win32 build improvements and fixes (Alan)
 - Added missing method implementation in GdaDataModelHash (Vivien)
 - Fixed support for DATE, TIME, TIMESTAMP and DATETIME types in MySQL
   provider (Vivien)
 - Improved pkg-config modules detection (Tomasz)
 - SQL parser improvements and fixes (Dru, Vivien)
 - Fixed auto* build (Rodrigo)
 - Use " character for field names in PostgreSQL queries (Bas)
 - Updated translations:
        - cs (Miroslav)
	- en_CA (Adam)
	- en_GB (David)
	- fi (Tommi)
	- it (Marco)

libgda 1.1.99, 2004-10-10
-------------------------

 - Use empty strings rather than NULL for missing fields in XML provider
   schema (joe)
 - Improved SQL parser (vivien, dru)
 - More fixes for GCC 3.4 compilation (caolan)
 - Added escape_string virtual method for providers (alan)
 - Added gda_connection_clear_error_list function (txema)
 - Improved transaction support for PostgreSQL provider (txema)
 - Fixed database dropping in FireBird provider (jeronimo)
 - Added support for aggregates to FireBird provider (jeronimo)
 - Fixed crash on strcmp in gda_client_find_connection (rodrigo)
 - Use the correct dsn/username/password when searching connections in
   gda_client_find_connection function (rodrigo)
 - Added example code for FireBird provider (jeronimo)
 - Corrected problem with FireBird date and datetime year part (jeronimo)
 - Fixed #151054 (rodrigo)
 - Added support for transparent connections in FireBird provider (jeronimo)
 - Updated MySQL list of types to matche the real ones (alan)
 - Added read-only support for blobs in FireBird provider (jeronimo)
 - Improved ODBC, MySQL and PostgreSQL detection from autotools (caolan)
 - Removed obsolete macros from configure.in (rodrigo)
 - Removed lots of compilation warnings (szalai)
 - Added reset_connection virtual method for providers (rodrigo)
 - Fixed compilation under Win32 (alan)
 - Improved autotools setup (julio)
 - Fixed leaks in some samples contained in the documentation (rodrigo)
 - Improved provider parameter descriptions API (rodrigo)
 - Install headers in versioned directories (rodrigo)
 - Updated translations:
        - cs (miroslav)
	- en_CA (adam)
	- en_GB (david)
	- nb (kjartan)
	- pt_BR (raphael)
	- sq (laurent)
	- uk (maxim)

libgda 1.0.4, 2004-04-18
------------------------

 - Fixed connection pool problems with sharing/not sharing of connections (jon, laurent)
 - Fixed UTF-8 problems in ODBC provider (jon)
 - Fixed setting of config entries when the type has changed (laurent)
 - Fixed spec file (rodrigo)
 - Fixed splitting of SQL commands in SQLite provider (benjamin)
 - Fixed values in 'Not Null?' fields schema for PostgreSQL provider (denis)
 - Updated FreeTDS provider to latest FreeTDS API (rodrigo)
 - Updated translations:
        - ca (jordi)
	- cs (mitr)
	- de (christian)
	- en_CA (adam)
	- en_GB (dave)
	- fi (tvainika)
	- ga (alastairmck)
	- hr (rsedak)
	- id (mohammad)
	- no (kjartan)
	- pt_BR (medina)
	- sv (christian)

libgda 1.0.3, 2004-01-16
------------------------

 - Backported gda_data_model_foreach from HEAD (gonzalo)
 - Python bindings related issues (jon)
 - Fixed documentation typos (rodrigo)
 - Fixed C99'isms (rodrigo)
 - Fixed replacement of files in gda_file_save (laurent)
 - Fixed startup commands execution in SQLite provider (nikolai)
 - Updated translations:
        - es (serrador)
        - nl (adrighem)
        - pt (dnloreto)

libgda 1.0.2, 2003-11-30
------------------------

 - Register missing structs as boxed types (murray, laurent)
 - Fixed memory leaks in MySQL provider (paisa)
 - Added more API documentation (laurent)
 - Implemented missing case in gda_data_model_to_xml, where standalone
   XML files were not being generated (laurent)
 - Fixed compilation problems when enabling BSD compatibility layer
   on Linux (jonathan)
 - Fixed gda_value_copy for GdaNumeric values (david)
 - Use $(libdir) as the directory for installing libraries instead of
   $(prefix)/lib (fredreric)
 - Fixes for 64bit platforms (fredreric)
 - Fixed crash in MDB provider (filip)
 - Added missing emission of signals in data model class (gonzalo)
 - Updated translations:
        - cs (miroslav)
        - es (pablo)
	- ja (aihana)
	- nl (vincent)
	- pt (duarte)
	- sr (danilo)

libgda 1.0.1, 2003-10-13
------------------------

 - Fixed clearing of GdaQuarkList's (laurent)
 - Added GType-registration for enums, needed for C++ bindings (murray)
 - Fixed typos in documentation and added more information for
   MySQL provider (laurent)
 - Added missing prototype to gda-client.h (laurent)
 - Fixed detection of mSQL libraries/headers (chris)
 - Fixed mSQL provider handling on non-queries (chris)
 - Fixed #117202: adapted to API changes in tds_connect (seth)
 - Fixed #121403: freed memory being used (rodrigo)
 - Fixed #123342: crash on exit in Gnumeric (rodrigo)
 - Added missing documentation for GdaBlob (rodrigo)
 - Updated translations:
        - cs (miroslav)
	- fi (pauli)
	- fr (christophe)
	- pt (duarte)
	- sk (stanislav)
        - sr (danilo)
	- sr@Latn (danilo)
	- sv (christian)

libgda 1.0.0, 2003-09-14
------------------------

 - Updated API documentation (rodrigo)

libgda 0.99.0, 2003-09-10
-------------------------

 - Fixed typo to build the freetds correctly (tagoh)
 - Added gda_config_save_data_source_info function (rodrigo)
 - Manage correctly non-SELECT statements in MySQL provider (gonzalo, csilles)
 - Added Blob API (juan-mariano, gonzalo)
 - Fixed many issues with GdaXmlDatabase (philippe, rodrigo)
 - Fixed leaks in PostgreSQL provider (gonzalo)
 - Added more API documentation (rodrigo)
 - Added missing SQL support in XML provider (rodrigo)
 - Updated translations:
        - ca (jordim)
        - cs (mitr)
	- de (cneumair)
        - es (pablodc)
        - fi (pvirtane)
        - fr (redfox)
	- it (marcoc)
	- no (kmaraas)
	- pl (aflinta)
	- pt (dnloreto)
	- sl (minmax)
	- sr (danilo)
	- sv (menthos)

libgda 0.91.0, 2003-08-06
-------------------------

 - Renamed default provider to XML and added some missing things (rodrigo)
 - Fixed #116758 (rodrigo)
 - Fixed x86-64 bits compilation problems (fcrozat)
 - Made basic SQL work in GdaSelect class (rodrigo)
 - Added missing LDAP flags (juergen)
 - Initial 'delete' support in the SQL parser library (gonzalo)
 - Removed compilation warnings (gonzalo)
 - Improved changes management in GdaXmlDatabase (rodrigo)
 - More API documentation (rodrigo)
 - Fixed permissions problem in gda_file_save (philippe)
 - Fixed lexer compilation problems (gonzalo)
 - Updated translations:
        - cs (mitr)
	- de (cneumair)
	- es (pablodc)
	- it (marcoc)
	- nl (adrighem)
	- pl (aflinta)
	- pt (dnloreto)
        - sv (menthos)

libgda 0.90.0, 2003-07-03
-------------------------

 - Added missing stanzas for MDB and LDAP providers in spec file (adam)
 - Added version 3 support for the mSQL provider (dschoene)
 - Added support for unsigned integer values (dschoene)
 - Added DONT_SHARE option for connections (rodrigo)
 - Some more documentation (rodrigo)
 - Updated translations:
        - cs (mitr)
	- es (pablodc)
        - ml (karunakar)
	- nl (vincent)
	- pt (dnloreto)
	- ru (frob)
        - zh_TW (baddog)

libgda 0.12.1, 2003-06-08
-------------------------

 - Fixed leak in Oracle provider to prevent running out of cursors (fozzy)
 - Fixed normal and build requirements in spec file (david)
 - Updated translations:
        - nl (adrighem)
        - sv (menthos)

libgda 0.12, 2003-05-28
-----------------------

 - Fixed password problem in PostgreSQL provider (david, gonzalo)
 - Fixed ODBC headers detection problem (rodrigo)
 - Fixed typo in FreeTDS CFLAGS (rodrigo)
 - Compilation fixes for Sybase provider (rodrigo)
 - Spec file fixes for RH9 (david)
 - Fixed libsql linking problems (rodrigo)
 - Fixed NULL password access in Oracle provider (fozzy)
 - Improved support for types in Oracle provider (fozzy)
 - Fixed index schema retrieval in Oracle provider (fozzy)
 - Fixed typo in MySQL library detection (bodo)
 - Fixed aggregates schema in Oracle provider (fozzy)
 - Some documentation fixes (cj)
 - Initial version of mSQL provider (danilo)
 - Fixed compilation problem in IBM DB2 provider (sergey)
 - Improved sample code in documentation (xabier)
 - Cleaned up GdaRow and GdaParameter APIs (xabier, rodrigo)
 - Improvements to the fields metadata schema queries in the
   PostgreSQL provider (vivien)
 - Updated translations:
        - cs (mitr)
        - de (cneumair)
	- es (pablodc)
        - fa (roozbeh)
	- it (marcoc)
	- nl (adrighem)
        - pt (dnloreto)
	- pt_BR (evandrofg, gdvieira)
	- sr (danilo)
	- sv (menthos)

libgda 0.11, 2003-03-08
-----------------------

 - Improvements on Oracle provider (steve)
 - Added support for Oracle 9 (steve)
 - Improvements on IBM DB2 provider (sergey)
 - Fixed crash on weak references when destroying provider hash table (gonzalo)
 - ANSI-compliant fixes (tagoh)
 - Spec file fixes (yanko, rodrigo)
 - Fixed incorrect password problem in Postgres provider (david, gonzalo)
 - Fixed typos in Oracle provider strings (cneumair)
 - More work on the report engine (santi)
 - Made FreeTDS provider work with freetds-0.61 (tagoh)
 - Updated translations:
	- ca (jordim)
	- cs (mitr)
	- de (cneumair)
	- es (pablodc)
	- nl (adrighem)
	- pt_BR (gdvieira)
	- ru (dmitrym)
	- sv (menthos)
	- uk (rasta)

libgda 0.10, 2003-01-27
-----------------------

 - Added support for PostgreSQL 7.3 new features (vivien, gonzalo)
 - Added LANGUAGES schema to set of supported schemas (rodrigo)
 - Fixed TABLES schema retrieval on Oracle (rodrigo)
 - Fixed translatable strings (menthos, holger)
 - Improvements on FreeTDS provider (holger)
 - Added changes notifications in data models (rodrigo)
 - Added new schemas to test suite (rodrigo)
 - Fixed GdaTable class (rodrigo)
 - First working version of the MDB (MS Access files) provider (rodrigo)
 - Fixed retrieval of NUMERIC fields' info on PostgreSQL provider (santi)
 - Fixed circular calls in gda_data_model_describe_column (rodrigo)
 - Added man page for configuration tool (gonzalo)
 - Added build requirements for gda-sqlite and man page for gda-config-tool
   in SPEC file (david)
 - Fixed FreeTDS include path for RedHat (holger)
 - Made all plugins resident (rodrigo)
 - Implemented basic read-onlyness for MySQL connections (rodrigo)
 - Fixed AGGREGATES schema for MySQL (rodrigo)
 - Lots of work on the reporting engine (santi)
 - Added support for PostgreSQL's bytea type fields (gonzalo)
 - Added use of syslog for the log functions (rodrigo)
 - Fixed unref'ing problems on providers (gonzalo)
 - Added first working version of the LDAP provider (german)
 - Removed obsolete config.h files all over (gonzalo)
 - Added event notification framework to GdaClient, and converted error notification
   to the new system (rodrigo)
 - Implemented saving data models to XML (rodrigo)
 - First basic version of the xBase provider (rodrigo)
 - First GNOME 2 version of the ODBC provider (nick)
 - Added support for SSL in MySQL connections (rodrigo)
 - Added MONEY type (rodrigo)
 - Unified parameter names for providers' connection strings (gonzalo)
 - Updated translations:
        - cs (mitr)
        - de (cneumair, chrisime)
	- es (pablodc)
	- no (kmaraas)
	- sk (stano)
	- sl (minmax)
	- sv (menthos)

libgda 0.9, 2002-12-10
----------------------

 - Fixed weird initialization of the MySQL structures (cleber)
 - Fixed #96758 (rodrigo)
 - Fixed #95985 (rodrigo)
 - Fixed #96810 (rodrigo)
 - Fixed bison problems in SQL parser (gonzalo)
 - Fixed DTD validation of config XML file (gonzalo)
 - Implemented most schemas for FreeTDS provider (holger)
 - Fixed crash on provider lookups in client library (gonzalo)
 - Documentation fixes and additions (gonzalo, calvaris)
 - Fixed #99997 (rodrigo)
 - Fixed #96810 (rodrigo)
 - First working version of the ported (from libgda 0.2.x) Sybase
   provider (holger)
 - Fixed #97669 (holger (FreeTDS part), rodrigo (Oracle part))
 - Updated translations:
        - cs (Michal Bukovjan)	
	- de (cneumair)
	- es (pablodc)
	- ms (sebol)
	- pt_BR (gdvieira)
        - sv (menthos)

libgda 0.8.199, 2002-10-23
--------------------------

 - GdaValue API additions (rodrigo, vivien)
 - Improved MySQL schemas information (rodrigo)
 - Improvements in FreeTDS provider (holger)
 - Updated documentation (xavier)
 - i18n/UTF8 fixes (carlos)
 - Fixed leaks in configuration API (gonzalo)
 - Added missing implementation for SQLite provider (rodrigo)
 - Added OMF setup (rodrigo, frederic)
 - Added support for error notification on connection opening (rodrigo)
 - Fixed SQLite auto-detection (gonzalo, vladimir)
 - Added man page for gda-config-tool (gonzalo)
 - Added initial support for connection stacks (rodrigo)
 - Added missing methods to Oracle provider (rodrigo)
 - Updated translations:
        - cs (utx)
        - da (olau)
        - de (cneumair)
        - es (pablodc)
	- pl (chyla)
	- sv (menthos)

libgda 0.8.193, 2002-09-09
--------------------------

 - Added support for storing types in GdaValue's (rodrigo)
 - Updated schemas information in MySQL (rodrigo) and PostgreSQL (vivien)
 - Fixed encoding problems in PostgreSQL provider (gonzalo)
 - Set correctly number of rows in PostgreSQL non-select queries (gonzalo)
 - Added support for listing data sources and providers in libgda's
   command line configuration tool (gonzalo)
 - Fixed retrieval of fields information on the MySQL provider (rodrigo)
 - Starting port of the FreeTDS provider (holger)
 - Added FreeTDS-specific tests to the test suite (holger)
 - New detailed documentation, including migration formulae (xabier)
 - Added missing types to gda_value_stringify (holger)
 - Started IBM DB2 provider (holger)
 - Added get_server and get_server_version methods to the GdaServerProvider
   class (rodrigo), and implemented them in MySQL (rodrigo), PostgreSQL (gonzalo),
   FreeTDS (holger)
 - Fixed spec files (ben)
 - Added isolation level support to transactions (rodrigo)
 - Implemented support for binary values in GdaValue's (rodrigo)
 - Added more information to GdaFieldAttributes structure (rodrigo)
 - Added basic support for commands to default provider (rodrigo)
 - Fixed suffix names problem for running on Windows (gonzalo)
 - Propagate errors to GdaClient when opening connections (rodrigo)
 - Updated translations:
        - ca (pablo)
        - da (olau)
        - de (mborchers, cneumair)
        - es (pablodc)
        - no (kmaraas)
        - pl (chyla)
        - pt (dnloreto)
        - ru (dmitrym)
        - sv (menthos)
        - vi (pablo)

libgda 0.8.192, 2002-07-08
--------------------------

 - Some work on the report engine (carlos)
 - More API documentation (gonzalo, rodrigo)
 - Added gda_connection_exec_non_query to GdaConnection API (rodrigo)
 - Added get_database virtual method on providers (rodrigo)
 - Added change_database virtual method on providers (rodrigo)
 - Added command line tool for libgda configuration (gonzalo)
 - Fixed many config API problems (gonzalo)
 - Allow storing passwords in data sources (rodrigo)
 - Added GdaTransaction class for a better use of transactions (rodrigo)
 - Added gda_client_open_connection_from_string to GdaClient API (rodrigo)
 - Re-added PARENT_TABLES schema from the GNOME 1.4 branch (rodrigo, gonzalo)
 - First working version of the Oracle provider for the new API (tim)
 - Fixed PostgreSQL tests (gonzalo)
 - Updated SQLite provider to the latest changes (carlos)
 - Added SQL parser (andru)
 - Improved error management in GdaConnection class (gonzalo)
 - Updated translations:
        - da (olau)
        - es (pablodc)
        - ko (cwryu)
        - no (kmaraas)
        - pl (chyla)
        - pt (dnloreto)
        - sk (stano)
        - sv (menthos)
        - sl (minmax)
        - vi (pablo)

libgda 0.8.191, 2002-05-24
--------------------------

 - Added framework for editable data models (rodrigo)
 - Made MySQL data models editable (rodrigo)
 - Extended data model API (rodrigo)
 - Fixed configuration file write support (gonzalo)
 - Removed obsolete GdaRecordset class (gonzalo)
 - Removed obsolete GdaField class (gonzalo)
 - Added GDA_COMMAND_TYPE_SCHEMA (gonzalo)
 - Added GdaDataModelHash class (gonzalo)
 - More API documentation (gonzalo, rodrigo)
 - Removed unneeded dependencies from libgda.pc (rodrigo)
 - Added support for creating and droping databases
   in the providers' API (rodrigo)
 - Added new connection features (rodrigo)
 - Extended GdaValue API (gonzalo)
 - Added GdaSelect class, for doing SELECT's on data
   models (rodrigo)
 - Extended test suite (gonzalo, rodrigo)
 - Added GdaXmlConnection class (rodrigo)
 - Updated translations:
        - da (olau)
      	- es (pablodc)
	- fr (redfox)
	- no (kmaraas)
	- pt (dnloreto)
	- sk (stano)
	- vi (pablo)

libgda 0.8.190, 2002-05-04
--------------------------

 - Removed CORBA dependencies in the core (rodrigo, gonzalo)
 - Added more semantic information to FieldAttributes (rodrigo)
 - Added new schemas: Databases, Users, Sequences (rodrigo)
 - Implemented new schemas for PostgreSQL (gonzalo)
 - Implemented Database schema for MySQL (rodrigo)
 - Implemented Database schema for the XML provider (rodrigo)
 - Fixed #74404 (gonzalo)
 - Fixed error management (gonzalo)
 - I18N fixes (chyla)
 - New API functions for GdaConnection (rodrigo)
 - New config system allowing global settings (gonzalo)
 - Updated translations:
   	- ko (cwryu)
	- no (kmaraas)
	- pl (chyla)
	- pt (dnloreto)
	- sk (stano)
	- sl (minmax)
	- sv (menthos)
	- uk (rasta)

libgda 0.8.105, 2002-03-26
--------------------------

 - Added Numeric type to IDL (mike, rodrigo)
 - Implemented SCHEMA_FIELDS for the PostgreSQL provider (gonzalo)
 - Improved and made GdaXmlDatabase usable (rodrigo)
 - Started new default provider, based on GdaXmlDatabase (rodrigo)
 - Fixed parameters management (gonzalo, rodrigo)
 - Fixed cleaning up of error list in providers (rodrigo)
 - Improved performance for type mapping in PostgreSQL provider (gonzalo)
 - Fixed referencing in GdaClient (rodrigo)
 - Fixed wrong return of errors in PostgreSQL provider (gonzalo)
 - Added support for exporting data models to comma and tab separated
   files (rodrigo)
 - Implemented SCHEMA_AGGREGATES in MySQL provider (rodrigo)
 - Implemented SCHEMA_FIELDS in MySQL provider (rodrigo)
 - Fixed some crashes in the MySQL provider (rodrigo)
 - Updated translations:
	- de (chrisime)
        - ms (sebol)
        - pl (chyla)
        - ru (frob)
        - sk (stano)
        - uk (rasta)
        - zh_CN (lark)

libgda 0.8.104, 2002-03-07
--------------------------

 - Added more information to the GdaFieldAttributes structure (rodrigo)
 - Added SCHEMA_FIELDS, SCHEMA_AGGREGATES and SCHEMA_TRIGGERS schemas (rodrigo)
 - Implemented SCHEMA_AGGREGATES and SCHEMA_TRIGGERS in PostgreSQL
   provider (gonzalo, rodrigo)
 - Replaced our custom ParameterList with Bonobo::PropertySet's (rodrigo)
 - Fixed GConf notifications (rodrigo)
 - New spec files, with optional compilation of providers (chris)
 - Added GdaTable, new class which implements an in-memory table (rodrigo)
 - Added "describe_column" method to GdaDataModel class and
   derivates (rodrigo)
 - Updated translations:
 	- da (olau)
	- de (mawarkus)
	- es (pablo)
	- nl (adrighem)
 	- no (kmaraas)
	- pl (chyla)
 	- pt (dnloreto)
	- ru (frob)
	- sk (stano)
	- sl (minmax)
	- sv (menthos)
	- tr (gorkem)

libgda 0.8.103, 2002-02-10
--------------------------

 - Fixed building of providers when the --without flags is
   used in autogen.sh/configure (rodrigo)
 - Started port of ODBC provider (rodrigo)
 - Fixed leak in PostgreSQL provider (rodrigo)
 - Started extension of IDL interfaces/support for triggers,
   rules and other objects (rodrigo)
 - Support new FEATURE's in ::supports method in all
   available providers (rodrigo)
 - Updated translations:
 	- sk (stano)
	- da (olau)
	- fr (redfox)
	- no (kmaraas)


libgda 0.8.102, 2002-01-30
--------------------------

 - replaced BonoboXObject with BonoboObject (gonzalo)
 - fixed IDL compilation (rodrigo)
 - fixed termination of factories, for not leaving them
   around when no more connections are open (rodrigo)
 - added more API documentation (gonzalo)
 - added new ValueList type, so that we can store lists of
   values in our CORBA_any's (rodrigo)
 - extended database test suite (gonzalo)
 - 'constified' all public functions (gonzalo)
 - removed SQLite sources from tree and create separated
   gda-sqlite-provider (carlos)
 - added CommandOption parameter to executeCommand method
   in the IDL interface (gonzalo)
 - added index schema (gonzalo)
 - added getCommandType and getCommandText methods to the
   ::Recordset IDL interface (gonzalo)
 - implemented gda_connection_is_open function (cleber)
 - made the GdaConnection object deal directly with data source
   names, and not with connection strings (rodrigo)
 - added new GdaConnection's accessor functions (rodrigo)
 - fixed connection pools dealing with dead objects (rodrigo)
 - fixed POTFILES.in/skip files (menthos)
 - updated translations:
 	- no (kmaraas)
	- ms (sebol)
	- sk (stano)
	- sv (menthos)
	- sl (minmax)


libgda 0.8.101, 2002-01-13
--------------------------

 - fixed Spanish and Brazilian Portuguese manuals, to make use of the
   correct DTD and installation directory (Rodrigo, baddog)
 - get types from the system tables and not from a hard-coded list in
   the PostgreSQL provider (Gonzalo)
 - fully support NULL values for GdaValue's and GdaField's (Rodrigo)
 - added API functions for adding new data sources (Rodrigo)
 - removed useless gda-build{client|server} scripts (Rodrigo)
 - fixed constness of arguments/return values all around (Gonzalo)
 - extended test suite with PostgreSQL specific tests (Gonzalo)
 - added support for NAMEOID and Time types in PostgreSQL provider (Gonzalo)
 - added timezone support to Time and Timestamp types (Gonzalo)
 - Updated translations:
 	- sk (stano)


libgda 0.8.100, 2002-01-06
--------------------------

 - added support for more schemas (VIEWS, TYPES, PROCEDURES) in
   the IDL interfaces (Rodrigo)
 - added GdaServerRecordsetModel class, which makes it easier for
   providers to create recordsets out of static data (files,
   in-memory data, etc) (Rodrigo)
 - added support for GeometricPoint data type (Gonzalo)
 - implemented TYPES schema for MySQL (Rodrigo)
 - made PostgreSQL provider 100% supported (Gonzalo)
 - extended test suite with new connection tests (Gonzalo)
 - fixed #67242 orbit-idl not generating files when IDL changes (Gonzalo)
 - fixed lost-counter in data retrieval (Gonzalo)
 
